
% load tauu.nc and tauv.nc, the
% SOC monthly mean winds.
% reconstruct into matrices of the
% same form as taux,tauy from
% "loadcoadsyear.m", i.e. using
% the lon_coads, lat_coads grid with
% corresponding lonvec, latvec index refs.

[lon_coads,lat_coads,lonvec,latvec,sss,index, ...
  sst,netheat,eminusp,taux,tauy]=loadcoadsyear(-99);

lon_soc=getnc('tauu','longitude');
lat_soc=getnc('tauu','latitude');
taux_soc=getnc('tauu','tauu');
tauy_soc=getnc('tauv','tauv');

taux2=NaN*ones(size(taux));
tauy2=taux2;

disp('Reshaping SOC winds to same form as UWM/COADS winds.')
for m=1:size(taux,1);	% loop through months
  fprintf('%d of %d\n',m,size(taux,1));
  for k=1:length(lonvec);	% loop through grids
    j=find(lon_soc==lonvec(k));
    i=find(lat_soc==latvec(k));
    if (length(i) & length(j));	
	% (max lat_coads=89.5; max lat_soc=84.5)
      taux2(m,k)=taux_soc(m,i,j);
      tauy2(m,k)=tauy_soc(m,i,j);
    end;
  end;
end;

% fill NaNs in SOC field by UWM/COADS values
q=find(isnan(taux2));
taux2(q)=taux(q);
q=find(isnan(tauy2));
tauy2(q)=tauy(q);

taux=taux2;
tauy=tauy2;
save socwinds taux tauy
