
% plot_so_winds - plot the mean wind stress in the
% Southern Ocean, along with Orsi's climatological
% SO fronts.

maxlat=-40;

clf;
makemap([-180 180],[-90 maxlat],0,1);
hold on;

% load wind stress
[lon,lat,lonvec,latvec,sss,index, ...
 	sst,netheat,eminusp,taux,tauy]=loadcoadsyear(-99);
Tx=NaN*ones(length(lat),length(lon));
Ty=Tx;
Tx(index)=nanmean(taux);
Ty(index)=nanmean(tauy);
lonmat=ones(length(lat),1)*lon';
latmat=lat*ones(1,length(lon));
q=find(latmat<=maxlat);
%q=q(1:5:length(q));
q2=find(isfinite(Tx(q)));
q=q(q2);
m_contourf(lonmat(q),latmat(q),Tx(q));

